egl-wayland/main.sh

28 lines
665 B
Bash
Raw Normal View History

2024-07-30 22:33:36 +02:00
#! /bin/bash
set -e
VERSION="1.1.14"
source ./pika-build-config.sh
echo "$PIKA_BUILD_ARCH" > pika-build-arch
2023-07-14 18:44:27 +02:00
# Clone Upstream
2024-07-30 22:33:36 +02:00
git clone https://github.com/NVIDIA/egl-wayland -b "$VERSION"
2023-07-14 18:44:27 +02:00
cp -rvf ./debian ./egl-wayland
cd ./egl-wayland
2023-10-18 18:56:15 +02:00
for i in $(cat ../patches/series) ; do echo "Applying Patch: $i" && patch -Np1 -i ../patches/$i || bash -c "echo "Applying Patch $i Failed!" && exit 2"; done
2023-07-14 18:44:27 +02:00
# Get build deps
apt-get build-dep ./ -y
# Build package
2024-07-30 22:33:36 +02:00
LOGNAME=root dh_make --createorig -y -l -p egl-wayland_"$VERSION" || echo "dh-make: Ignoring Last Error"
2023-07-14 18:44:27 +02:00
dpkg-buildpackage --no-sign
# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/